Subject: Re: git push (mis ?)behavior

From: Miles Bader <[email-masked]>
Date: Wed, 03 Oct 2007 14:10:09 +0900

Junio C Hamano <[email-masked]> writes:
> I think it is sensible to have an option to make it push only the
> current branch.  I am not sure if it is sensible to make that the
> default.

I really like the current default, it matches my mental model well:  I
generally use "push" to mean "synchronize the remote repository with my
current one"; if multiple branches have changed, I want those changes
propagated too.

I think changing it would be a bad idea, it just seems a pointlessly
incompatible change.  The reasons I've seen offered on this thread for
changing the default seem pretty weak, e.g., "it's more conservative"
(but more annoying), and "it's more like SVK" (who cares?).

-Miles
-- 
Freedom's just another word, for nothing left to lose   --Janis Joplin